<script setup lang="ts">
const { g } = useContentInjected()
const isMenuOpen = useMobileMenuOpen()

function closeMenu() {
  isMenuOpen.value = false
}

const props = defineProps<{
  class?: string
  ux?: any
}>()

const classes = useStyling('scaffoldMobileMenuCloseButton', undefined, props)
</script>

<template>
  <XScaffoldIconButton
    :class="classes.base"
    :icon="g.scaffold.mobile.close.icon"
    @click="closeMenu"
  />
</template>
